For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all property lists
        • GETGet a property list by ID
        • POSTCreate Property: Rent Manager - Not Supported
        • PUTUpdate Property: Rent Manager
        • POSTCreate Property Custom Data: Rent Manager
        • PUTUpdate Property Custom Data: Rent Manager
        • POSTCreate Property Files: Rent Manager
        • POSTCreate Property Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerProperties

Create Property Note: Rent Manager

POST
/v1/properties/rentmanager/:property_id/notes/
POST
/v1/properties/rentmanager/:property_id/notes/
$curl -X POST https://api.propexo.com/v1/properties/rentmanager/property_id/notes/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-789456123",
> "notes": "Routine maintenance completed on HVAC system. Filters replaced and system tested for optimal performance."
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "int-789456123",
7 "property_id": "prop-456123789",
8 "notes": "Routine maintenance completed on HVAC system. Filters replaced and system tested for optimal performance.",
9 "attachment": {
10 "file_name": "maintenance_report.pdf",
11 "mime_type": "application/pdf",
12 "file_data": "U29tZSBleGFtcGxlIGJhc2U2NCBkYXRh"
13 }
14 }
15}
Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error. | Method | |---| | POST /Properties/HistoryNotes | | POST /HistoryNotes/{noteId}/UploadAttachments | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all residents

Next
Built with

Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.

Method
POST /Properties/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

property_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
notesstringRequired
Notes associated with the property
attachmentobjectOptional
Attachment file for the note on the property

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error